public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: app-i18n/scim-uim/
@ 2017-12-31 11:14 David Seifert
  0 siblings, 0 replies; 7+ messages in thread
From: David Seifert @ 2017-12-31 11:14 UTC (permalink / raw
  To: gentoo-commits

commit:     c54389fe2c1aaa51200e558649e0d65f7e873e1c
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 31 09:54:57 2017 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Dec 31 11:13:57 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c54389fe

app-i18n/scim-uim: Port to EAPI 6

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 app-i18n/scim-uim/scim-uim-0.2.0-r2.ebuild | 21 +++++++++++++--------
 1 file changed, 13 insertions(+), 8 deletions(-)

diff --git a/app-i18n/scim-uim/scim-uim-0.2.0-r2.ebuild b/app-i18n/scim-uim/scim-uim-0.2.0-r2.ebuild
index ad0fc7d82d8..8b9fe22e071 100644
--- a/app-i18n/scim-uim/scim-uim-0.2.0-r2.ebuild
+++ b/app-i18n/scim-uim/scim-uim-0.2.0-r2.ebuild
@@ -1,8 +1,7 @@
 # Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI="2"
-inherit eutils
+EAPI=6
 
 DESCRIPTION="An input module for Smart Common Input Method (SCIM) which uses uim as backend"
 HOMEPAGE="http://www.scim-im.org/"
@@ -13,20 +12,26 @@ SLOT="0"
 KEYWORDS="amd64 ppc x86"
 IUSE=""
 
-RDEPEND=">=app-i18n/uim-1.5.0
+RDEPEND="
+	>=app-i18n/uim-1.5.0
 	>=app-i18n/scim-1.4.0"
 DEPEND="${RDEPEND}
 	virtual/pkgconfig"
 
-src_prepare() {
-	epatch "${FILESDIR}/${P}-gcc43.patch" \
-		"${FILESDIR}/${P}-uim-1.5.patch"
+PATCHES=(
+	"${FILESDIR}"/${P}-gcc43.patch
+	"${FILESDIR}"/${P}-uim-1.5.patch
+)
+
+src_configure() {
+	econf --disable-static
 }
 
 src_install() {
-	emake DESTDIR="${D}" install || die "make install failed"
+	default
 
-	dodoc AUTHORS ChangeLog README THANKS || die
+	# plugin module, no point in .la files
+	find "${D}" -name '*.la' -delete || die
 }
 
 pkg_postinst() {


^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-i18n/scim-uim/
@ 2024-03-06  6:30 Sam James
  0 siblings, 0 replies; 7+ messages in thread
From: Sam James @ 2024-03-06  6:30 UTC (permalink / raw
  To: gentoo-commits

commit:     5a3a57051e59ad511d66254224a32a1f00621e63
Author:     Eli Schwartz <eschwartz93 <AT> gmail <DOT> com>
AuthorDate: Wed Mar  6 06:25:28 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Mar  6 06:30:00 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5a3a5705

app-i18n/scim-uim: add missing runtime dependency on libltdl

Signed-off-by: Eli Schwartz <eschwartz93 <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-i18n/scim-uim/scim-uim-0.2.0-r3.ebuild | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/app-i18n/scim-uim/scim-uim-0.2.0-r3.ebuild b/app-i18n/scim-uim/scim-uim-0.2.0-r3.ebuild
index 2cbc47c4be99..2e7b59282ff8 100644
--- a/app-i18n/scim-uim/scim-uim-0.2.0-r3.ebuild
+++ b/app-i18n/scim-uim/scim-uim-0.2.0-r3.ebuild
@@ -16,7 +16,9 @@ IUSE=""
 
 RDEPEND="
 	>=app-i18n/uim-1.5.0
-	>=app-i18n/scim-1.4.0"
+	>=app-i18n/scim-1.4.0
+	dev-libs/libltdl
+"
 DEPEND="${RDEPEND}"
 BDEPEND="virtual/pkgconfig"
 


^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-i18n/scim-uim/
@ 2024-03-06  6:30 Sam James
  0 siblings, 0 replies; 7+ messages in thread
From: Sam James @ 2024-03-06  6:30 UTC (permalink / raw
  To: gentoo-commits

commit:     44c302aefe0c4b3945231d6b37ede5b5ae99838c
Author:     Eli Schwartz <eschwartz93 <AT> gmail <DOT> com>
AuthorDate: Wed Mar  6 06:24:22 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Mar  6 06:29:59 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=44c302ae

app-i18n/scim-uim: update EAPI 6 -> 8

Signed-off-by: Eli Schwartz <eschwartz93 <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-i18n/scim-uim/scim-uim-0.2.0-r3.ebuild | 53 ++++++++++++++++++++++++++++++
 1 file changed, 53 insertions(+)

diff --git a/app-i18n/scim-uim/scim-uim-0.2.0-r3.ebuild b/app-i18n/scim-uim/scim-uim-0.2.0-r3.ebuild
new file mode 100644
index 000000000000..2cbc47c4be99
--- /dev/null
+++ b/app-i18n/scim-uim/scim-uim-0.2.0-r3.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools
+
+DESCRIPTION="An input module for Smart Common Input Method (SCIM) which uses uim as backend"
+HOMEPAGE="http://www.scim-im.org/"
+SRC_URI="mirror://sourceforge/scim/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+
+RDEPEND="
+	>=app-i18n/uim-1.5.0
+	>=app-i18n/scim-1.4.0"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=(
+	"${FILESDIR}"/${P}-gcc43.patch
+	"${FILESDIR}"/${P}-uim-1.5.patch
+)
+
+src_prepare() {
+	default
+	# update the 2007 era configure / libtool scripts, which fail with LTO
+	eautoreconf
+}
+
+src_configure() {
+	econf --disable-static
+}
+
+src_install() {
+	default
+
+	# plugin module, no point in .la files
+	find "${D}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+	elog
+	elog "To use SCIM with both GTK2 and XIM, you should use the following"
+	elog "in your user startup scripts such as .gnomerc or .xinitrc:"
+	elog
+	elog "LANG='your_language' scim -d"
+	elog "export XMODIFIERS=@im=SCIM"
+	elog
+}


^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-i18n/scim-uim/
@ 2024-03-06  6:30 Sam James
  0 siblings, 0 replies; 7+ messages in thread
From: Sam James @ 2024-03-06  6:30 UTC (permalink / raw
  To: gentoo-commits

commit:     63c79d85f42813299f878b3f67c039e2b23994f3
Author:     Eli Schwartz <eschwartz93 <AT> gmail <DOT> com>
AuthorDate: Wed Mar  6 06:18:16 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Mar  6 06:29:59 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=63c79d85

app-i18n/scim-uim: re-run autoreconf to fix LTO

The 2009 era distfile is so old that it probably has many bugs. We are
particularly concerned by nm detection failing under LTO causing:

```
generating symbol list for `uim.la'
/usr/bin/nm -B  .libs/uim_la-scim_uim_imengine.o  |  | /usr/bin/sed 's/.* //' | sort | uniq > .libs/uim.exp
../libtool: 1: eval: Syntax error: "|" unexpected
```

Closes: https://bugs.gentoo.org/854672
Signed-off-by: Eli Schwartz <eschwartz93 <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-i18n/scim-uim/scim-uim-0.2.0-r2.ebuild | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

diff --git a/app-i18n/scim-uim/scim-uim-0.2.0-r2.ebuild b/app-i18n/scim-uim/scim-uim-0.2.0-r2.ebuild
index 8b9fe22e0718..dc2d5aabb92f 100644
--- a/app-i18n/scim-uim/scim-uim-0.2.0-r2.ebuild
+++ b/app-i18n/scim-uim/scim-uim-0.2.0-r2.ebuild
@@ -1,8 +1,10 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
 
+inherit autotools
+
 DESCRIPTION="An input module for Smart Common Input Method (SCIM) which uses uim as backend"
 HOMEPAGE="http://www.scim-im.org/"
 SRC_URI="mirror://sourceforge/scim/${P}.tar.gz"
@@ -23,6 +25,12 @@ PATCHES=(
 	"${FILESDIR}"/${P}-uim-1.5.patch
 )
 
+src_prepare() {
+	default
+	# update the 2007 era configure / libtool scripts, which fail with LTO
+	eautoreconf
+}
+
 src_configure() {
 	econf --disable-static
 }


^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-i18n/scim-uim/
@ 2024-04-13 18:56 Arthur Zamarin
  0 siblings, 0 replies; 7+ messages in thread
From: Arthur Zamarin @ 2024-04-13 18:56 UTC (permalink / raw
  To: gentoo-commits

commit:     3fa05c57ffbe2d6731e7e9960ea81819883c6497
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 13 18:56:06 2024 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Sat Apr 13 18:56:06 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3fa05c57

app-i18n/scim-uim: Stabilize 0.2.0-r3 ppc, #929938

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 app-i18n/scim-uim/scim-uim-0.2.0-r3.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app-i18n/scim-uim/scim-uim-0.2.0-r3.ebuild b/app-i18n/scim-uim/scim-uim-0.2.0-r3.ebuild
index 2e7b59282ff8..7ffb3e84cc93 100644
--- a/app-i18n/scim-uim/scim-uim-0.2.0-r3.ebuild
+++ b/app-i18n/scim-uim/scim-uim-0.2.0-r3.ebuild
@@ -11,7 +11,7 @@ SRC_URI="mirror://sourceforge/scim/${P}.tar.gz"
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~ppc ~x86"
+KEYWORDS="~amd64 ppc ~x86"
 IUSE=""
 
 RDEPEND="


^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-i18n/scim-uim/
@ 2024-04-17 22:01 Sam James
  0 siblings, 0 replies; 7+ messages in thread
From: Sam James @ 2024-04-17 22:01 UTC (permalink / raw
  To: gentoo-commits

commit:     7c6adcb34aebf14a2881425d4758fc363c4fad07
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Apr 17 21:59:16 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Apr 17 21:59:16 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7c6adcb3

app-i18n/scim-uim: Stabilize 0.2.0-r3 x86, #929938

Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-i18n/scim-uim/scim-uim-0.2.0-r3.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app-i18n/scim-uim/scim-uim-0.2.0-r3.ebuild b/app-i18n/scim-uim/scim-uim-0.2.0-r3.ebuild
index 3672fe4dfdf1..26f68659064d 100644
--- a/app-i18n/scim-uim/scim-uim-0.2.0-r3.ebuild
+++ b/app-i18n/scim-uim/scim-uim-0.2.0-r3.ebuild
@@ -11,7 +11,7 @@ SRC_URI="mirror://sourceforge/scim/${P}.tar.gz"
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="amd64 ppc ~x86"
+KEYWORDS="amd64 ppc x86"
 IUSE=""
 
 RDEPEND="


^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-i18n/scim-uim/
@ 2024-04-18 17:07 Arthur Zamarin
  0 siblings, 0 replies; 7+ messages in thread
From: Arthur Zamarin @ 2024-04-18 17:07 UTC (permalink / raw
  To: gentoo-commits

commit:     974c758b5a96181b2705c8ac6f63c4755136add4
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Thu Apr 18 17:07:23 2024 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Thu Apr 18 17:07:39 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=974c758b

app-i18n/scim-uim: drop 0.2.0-r2, EAPI6--

Closes: https://bugs.gentoo.org/929938
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 app-i18n/scim-uim/scim-uim-0.2.0-r2.ebuild | 53 ------------------------------
 1 file changed, 53 deletions(-)

diff --git a/app-i18n/scim-uim/scim-uim-0.2.0-r2.ebuild b/app-i18n/scim-uim/scim-uim-0.2.0-r2.ebuild
deleted file mode 100644
index dc2d5aabb92f..000000000000
--- a/app-i18n/scim-uim/scim-uim-0.2.0-r2.ebuild
+++ /dev/null
@@ -1,53 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit autotools
-
-DESCRIPTION="An input module for Smart Common Input Method (SCIM) which uses uim as backend"
-HOMEPAGE="http://www.scim-im.org/"
-SRC_URI="mirror://sourceforge/scim/${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="amd64 ppc x86"
-IUSE=""
-
-RDEPEND="
-	>=app-i18n/uim-1.5.0
-	>=app-i18n/scim-1.4.0"
-DEPEND="${RDEPEND}
-	virtual/pkgconfig"
-
-PATCHES=(
-	"${FILESDIR}"/${P}-gcc43.patch
-	"${FILESDIR}"/${P}-uim-1.5.patch
-)
-
-src_prepare() {
-	default
-	# update the 2007 era configure / libtool scripts, which fail with LTO
-	eautoreconf
-}
-
-src_configure() {
-	econf --disable-static
-}
-
-src_install() {
-	default
-
-	# plugin module, no point in .la files
-	find "${D}" -name '*.la' -delete || die
-}
-
-pkg_postinst() {
-	elog
-	elog "To use SCIM with both GTK2 and XIM, you should use the following"
-	elog "in your user startup scripts such as .gnomerc or .xinitrc:"
-	elog
-	elog "LANG='your_language' scim -d"
-	elog "export XMODIFIERS=@im=SCIM"
-	elog
-}


^ permalink raw reply related	[flat|nested] 7+ messages in thread

end of thread, other threads:[~2024-04-18 17:07 UTC | newest]

Thread overview: 7+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2024-03-06  6:30 [gentoo-commits] repo/gentoo:master commit in: app-i18n/scim-uim/ Sam James
  -- strict thread matches above, loose matches on Subject: below --
2024-04-18 17:07 Arthur Zamarin
2024-04-17 22:01 Sam James
2024-04-13 18:56 Arthur Zamarin
2024-03-06  6:30 Sam James
2024-03-06  6:30 Sam James
2017-12-31 11:14 David Seifert

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox